## ros2-rcpputils 2.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rcpputils)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(rcutils REQUIRED)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # enables building a static library but later link it into a dynamic library
  add_compile_options(-fPIC)
endif()
if(NOT WIN32)
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

add_library(${PROJECT_NAME}
  src/asserts.cpp
  src/filesystem_helper.cpp
  src/find_library.cpp
  src/env.cpp
  src/shared_library.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
if(WIN32)
  target_compile_definitions(${PROJECT_NAME}
    PRIVATE "RCPPUTILS_BUILDING_LIBRARY")
endif()
ament_target_dependencies(${PROJECT_NAME} rcutils)

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")
ament_export_libraries(${PROJECT_NAME})

# Export modern CMake targets
ament_export_targets(${PROJECT_NAME})

ament_export_dependencies(rcutils)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wthread-safety -Werror)
  endif()

  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(test_asserts_ndebug test/test_asserts.cpp)
  target_link_libraries(test_asserts_ndebug ${PROJECT_NAME})

  if(TARGET test_asserts_ndebug)
    target_compile_definitions(test_asserts_ndebug PUBLIC NDEBUG)
  endif()

  ament_add_gtest(test_asserts_debug test/test_asserts.cpp)
  target_link_libraries(test_asserts_debug ${PROJECT_NAME})

  ament_add_gtest(test_thread_safety_annotations test/test_thread_safety_annotations.cpp)
  target_link_libraries(test_thread_safety_annotations ${PROJECT_NAME})

  ament_add_gtest(test_join test/test_join.cpp)
  target_link_libraries(test_join ${PROJECT_NAME})

  ament_add_gtest(test_time test/test_time.cpp)
  target_link_libraries(test_time ${PROJECT_NAME})
  ament_target_dependencies(test_time rcutils)

  ament_add_gtest(test_env test/test_env.cpp
    ENV
      EMPTY_TEST=
      NORMAL_TEST=foo
  )
  ament_target_dependencies(test_env rcutils)
  target_link_libraries(test_env ${PROJECT_NAME})

  ament_add_gtest(test_scope_exit test/test_scope_exit.cpp)
  target_link_libraries(test_scope_exit ${PROJECT_NAME})

  ament_add_gtest(test_split test/test_split.cpp)
  target_link_libraries(test_split ${PROJECT_NAME})

  ament_add_gtest(test_filesystem_helper test/test_filesystem_helper.cpp
    ENV
      EXPECTED_WORKING_DIRECTORY=$<SHELL_PATH:${CMAKE_CURRENT_BINARY_DIR}>
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  ament_target_dependencies(test_filesystem_helper rcutils)
  target_link_libraries(test_filesystem_helper ${PROJECT_NAME})

  ament_add_gtest(test_find_and_replace test/test_find_and_replace.cpp)
  target_link_libraries(test_find_and_replace ${PROJECT_NAME})

  ament_add_gtest(test_pointer_traits test/test_pointer_traits.cpp)
  target_link_libraries(test_pointer_traits ${PROJECT_NAME})

  ament_add_gtest(test_process test/test_process.cpp)
  target_link_libraries(test_process ${PROJECT_NAME})
  ament_target_dependencies(test_process rcutils)

  set(append_library_dirs "$<TARGET_FILE_DIR:${PROJECT_NAME}>")

  ament_add_gtest(test_shared_library test/test_shared_library.cpp
    APPEND_LIBRARY_DIRS "${append_library_dirs}"
  )

  if(TARGET test_shared_library)
    add_library(dummy_shared_library test/dummy_shared_library/dummy_shared_library.c)
    if(WIN32)
      # Causes the visibility macros to use dllexport rather than dllimport
      # which is appropriate when building the dll but not consuming it.
      target_compile_definitions(dummy_shared_library PRIVATE "DUMMY_SHARED_LIBRARY_BUILDING_DLL")
    endif()
    target_link_libraries(test_shared_library ${PROJECT_NAME})
  endif()

  ament_add_gtest(test_endian test/test_endian.cpp)
  target_link_libraries(test_endian ${PROJECT_NAME})

  add_library(test_library SHARED test/test_library.cpp)
  target_link_libraries(test_library PUBLIC ${PROJECT_NAME})
  ament_add_gtest(test_find_library test/test_find_library.cpp)
  target_link_libraries(test_find_library test_library)
  set_tests_properties(test_find_library PROPERTIES
    ENVIRONMENT
      "_TEST_LIBRARY_DIR=$<TARGET_FILE_DIR:test_library>;_TEST_LIBRARY=$<TARGET_FILE:test_library>")

  ament_add_gtest(test_clamp test/test_clamp.cpp)
  target_link_libraries(test_clamp ${PROJECT_NAME})

  ament_add_gtest(test_accumulator test/test_accumulator.cpp)
  target_link_libraries(test_accumulator ${PROJECT_NAME})
endif()

ament_package()

install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME})
install(
  TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros2-rcpputils (2.5.1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1
  * Add missing depend on librcutils-dev

 -- Timo Röhling <roehling@debian.org>  Tue, 17 May 2022 13:35:57 +0200

ros2-rcpputils (2.5.1-2) unstable; urgency=medium

  * Rebuild against fixed librcutils-dev

 -- Timo Röhling <roehling@debian.org>  Sun, 15 May 2022 16:25:55 +0200

ros2-rcpputils (2.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #1010823)

 -- Timo Röhling <roehling@debian.org>  Tue, 10 May 2022 22:16:10 +0200

=== debian/control ===
Source: ros2-rcpputils
Section: libs
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ament-cmake (>= 1.4.0-5~),
 ament-cmake-ros (>= 0.11.0-2~),
 ament-cmake-googletest <!nocheck>,
 ament-lint <!nocheck>,
 cmake,
 dh-ros (>= 0.5.3~),
 librcutils-dev (>= 5.2.0-2~),
Homepage: https://github.com/ros2/rcpputils
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/robotics-team/ros2-rcpputils.git
Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-rcpputils
Description: C++ Utilities for ROS 2
 This package is part of ROS 2, the Robot Operating System.
 It provides basic macros, functions, and data structures for the ROS 2
 codebase.

Package: librcpputils0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package installs the C++ shared library.

Package: librcpputils-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librcutils-dev,
 librcpputils0d (= ${binary:Version}),
Description: ${source:Synopsis} (development headers)
 ${source:Extended-Description}
 .
 This package installs the C++ headers and CMake config files.

=== debian/rules ===
#!/usr/bin/make -f

export ROS_CONFIGURE_ARGS = -DRCPPUTILS_SOVERSION=0d

%:
	dh $@ --buildsystem=ros

## ros2-rcpputils 2.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 if(NOT CMAKE_C_STANDARD)
   set(CMAKE_C_STANDARD 11)
 endif()
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")

=== debian/changelog ===
ros2-rcpputils (2.6.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Nov 2022 08:26:36 +0100

ros2-rcpputils (2.6.0-1) experimental; urgency=medium

  * New upstream version 2.6.0
  * Bump SONAME to 1d

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Nov 2022 12:44:15 +0100

ros2-rcpputils (2.5.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * New upstream version 2.5.2
  * Enable hardening flags

 -- Timo Röhling <roehling@debian.org>  Sat, 17 Sep 2022 21:26:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Timo Röhling <roehling@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ament-cmake (>= 1.4.0-5~),
- ament-cmake-ros (>= 0.11.0-2~),
+ ament-cmake,
+ ament-cmake-ros,
  ament-cmake-googletest <!nocheck>,
  ament-lint <!nocheck>,
  cmake,
- dh-ros (>= 0.5.3~),
- librcutils-dev (>= 5.2.0-2~),
+ dh-ros,
+ librcutils-dev,
 Homepage: https://github.com/ros2/rcpputils
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
@@ -22,7 +22,7 @@
  It provides basic macros, functions, and data structures for the ROS 2
  codebase.
 
-Package: librcpputils0d
+Package: librcpputils1d
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -40,7 +40,7 @@
 Depends:
  ${misc:Depends},
  librcutils-dev,
- librcpputils0d (= ${binary:Version}),
+ librcpputils1d (= ${binary:Version}),
 Description: ${source:Synopsis} (development headers)
  ${source:Extended-Description}
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export ROS_CONFIGURE_ARGS = -DRCPPUTILS_SOVERSION=1d

%:
	dh $@ --buildsystem=ros

## ros2-rcpputils 2.7.1

=== debian/changelog ===
ros2-rcpputils (2.7.1-1ubuntu1) mantic; urgency=medium

  * Mark some symbols optional to avoid FTBFS with LTO enabled

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 10 Aug 2023 13:09:43 +0000

ros2-rcpputils (2.7.1-1) unstable; urgency=medium

  * Add d/symbols
  * New upstream version 2.7.1
    - Fix FTBFS with GCC-13 (Closes: #1037847)
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Tue, 27 Jun 2023 23:43:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ros2-rcpputils
 Section: libs
 Priority: optional
-Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
 Uploaders: Timo Röhling <roehling@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -13,7 +14,7 @@
  dh-ros,
  librcutils-dev,
 Homepage: https://github.com/ros2/rcpputils
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-rcpputils.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-rcpputils

## ros2-rcpputils 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,9 +25,10 @@
 
 add_library(${PROJECT_NAME}
   src/asserts.cpp
+  src/env.cpp
   src/filesystem_helper.cpp
   src/find_library.cpp
-  src/env.cpp
+  src/process.cpp
   src/shared_library.cpp)
 target_include_directories(${PROJECT_NAME} PUBLIC
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
@@ -36,7 +37,7 @@
   target_compile_definitions(${PROJECT_NAME}
     PRIVATE "RCPPUTILS_BUILDING_LIBRARY")
 endif()
-ament_target_dependencies(${PROJECT_NAME} rcutils)
+target_link_libraries(${PROJECT_NAME} PUBLIC rcutils::rcutils)
 
 # Export old-style CMake variables
 ament_export_include_directories("include/${PROJECT_NAME}")
@@ -74,15 +75,13 @@
   target_link_libraries(test_join ${PROJECT_NAME})
 
   ament_add_gtest(test_time test/test_time.cpp)
-  target_link_libraries(test_time ${PROJECT_NAME})
-  ament_target_dependencies(test_time rcutils)
+  target_link_libraries(test_time ${PROJECT_NAME} rcutils::rcutils)
 
   ament_add_gtest(test_env test/test_env.cpp
     ENV
       EMPTY_TEST=
       NORMAL_TEST=foo
   )
-  ament_target_dependencies(test_env rcutils)
   target_link_libraries(test_env ${PROJECT_NAME})
 
   ament_add_gtest(test_scope_exit test/test_scope_exit.cpp)
@@ -95,7 +94,6 @@
     ENV
       EXPECTED_WORKING_DIRECTORY=$<SHELL_PATH:${CMAKE_CURRENT_BINARY_DIR}>
     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
-  ament_target_dependencies(test_filesystem_helper rcutils)
   target_link_libraries(test_filesystem_helper ${PROJECT_NAME})
 
   ament_add_gtest(test_find_and_replace test/test_find_and_replace.cpp)
@@ -106,7 +104,6 @@
 
   ament_add_gtest(test_process test/test_process.cpp)
   target_link_libraries(test_process ${PROJECT_NAME})
-  ament_target_dependencies(test_process rcutils)
 
   set(append_library_dirs "$<TARGET_FILE_DIR:${PROJECT_NAME}>")
 
@@ -129,8 +126,9 @@
 
   add_library(test_library SHARED test/test_library.cpp)
   target_link_libraries(test_library PUBLIC ${PROJECT_NAME})
+
   ament_add_gtest(test_find_library test/test_find_library.cpp)
-  target_link_libraries(test_find_library test_library)
+  target_link_libraries(test_find_library test_library rcutils::rcutils)
   set_tests_properties(test_find_library PROPERTIES
     ENVIRONMENT
       "_TEST_LIBRARY_DIR=$<TARGET_FILE_DIR:test_library>;_TEST_LIBRARY=$<TARGET_FILE:test_library>")
@@ -140,6 +138,9 @@
 
   ament_add_gtest(test_accumulator test/test_accumulator.cpp)
   target_link_libraries(test_accumulator ${PROJECT_NAME})
+
+  ament_add_gtest(test_unique_lock test/test_unique_lock.cpp)
+  target_link_libraries(test_unique_lock ${PROJECT_NAME})
 endif()
 
 ament_package()

=== debian/changelog ===
ros2-rcpputils (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0
  * Refresh patches (no functional changes)
  * New symbol rcpputils::get_executable_name()

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Jan 2024 12:55:26 +0100

ros2-rcpputils (2.8.1-1) unstable; urgency=medium

  * New upstream version 2.8.1

 -- Timo Röhling <roehling@debian.org>  Sun, 12 Nov 2023 22:07:19 +0100

ros2-rcpputils (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0
  * Mark some symbols optional to avoid FTBFS with LTO enabled

 -- Timo Röhling <roehling@debian.org>  Mon, 18 Sep 2023 23:31:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ros2-rcpputils
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
+Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
 Uploaders: Timo Röhling <roehling@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends:
  debhelper-compat (= 13),

## ros2-rcpputils 2.13.1

=== debian/changelog ===
ros2-rcpputils (2.13.1-1) unstable; urgency=medium

  * New upstream version 2.13.1
  * Refresh patches (no functional changes)
  * Update d/copyright
  * Update d/symbols

 -- Timo Röhling <roehling@debian.org>  Tue, 03 Sep 2024 16:57:19 +0200

ros2-rcpputils (2.12.0-1) unstable; urgency=medium

  * New upstream version 2.12.0

 -- Timo Röhling <roehling@debian.org>  Sun, 28 Apr 2024 23:59:45 +0200

ros2-rcpputils (2.11.0-1) unstable; urgency=medium

  * New upstream version 2.11.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Sat, 20 Apr 2024 00:04:50 +0200

ros2-rcpputils (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0
  * Refresh patches (no functional changes)
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Wed, 10 Apr 2024 22:21:12 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  dh-ros,
  librcutils-dev,
 Homepage: https://github.com/ros2/rcpputils
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-rcpputils.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-rcpputils

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/ros2/rcpputils/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## ros2-rcpputils 2.13.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 if(NOT CMAKE_C_STANDARD)
   set(CMAKE_C_STANDARD 11)
 endif()
+# TODO (ahcorde): Remove tl_expected when CXX 20 standard is available
 # Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
   set(CMAKE_CXX_STANDARD 17)
@@ -50,13 +51,39 @@
 
 if(BUILD_TESTING)
   find_package(ament_cmake_gtest REQUIRED)
-  find_package(ament_lint_auto REQUIRED)
+
+  find_package(ament_cmake_copyright REQUIRED)
+  find_package(ament_cmake_cppcheck REQUIRED)
+  find_package(ament_cmake_cpplint REQUIRED)
+  find_package(ament_cmake_flake8 REQUIRED)
+  find_package(ament_cmake_lint_cmake REQUIRED)
+  find_package(ament_cmake_pep257 REQUIRED)
+  find_package(ament_cmake_uncrustify REQUIRED)
+  find_package(ament_cmake_xmllint REQUIRED)
+
+  set(
+    _linter_excludes
+    include/rcpputils/tl_expected/expected.hpp
+  )
+
+  ament_copyright(EXCLUDE ${_linter_excludes})
+  ament_cppcheck(
+    EXCLUDE ${_linter_excludes}
+    LANGUAGE c++
+  )
+  ament_cpplint(EXCLUDE ${_linter_excludes})
+  ament_flake8(EXCLUDE ${_linter_excludes})
+  ament_lint_cmake()
+  ament_pep257(EXCLUDE ${_linter_excludes})
+  ament_uncrustify(
+    EXCLUDE ${_linter_excludes}
+    LANGUAGE c++
+  )
+  ament_xmllint()
 
   if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     add_compile_options(-Wthread-safety -Werror)
   endif()
-
-  ament_lint_auto_find_test_dependencies()
 
   ament_add_gtest(test_asserts_ndebug test/test_asserts.cpp)
   target_link_libraries(test_asserts_ndebug ${PROJECT_NAME})
@@ -96,6 +123,12 @@
     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
   target_link_libraries(test_filesystem_helper ${PROJECT_NAME})
 
+  ament_add_gtest(test_filesystem_helper_std test/test_filesystem_helper_std.cpp
+    ENV
+      EXPECTED_WORKING_DIRECTORY=$<SHELL_PATH:${CMAKE_CURRENT_BINARY_DIR}>
+    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
+  target_link_libraries(test_filesystem_helper_std ${PROJECT_NAME})
+
   ament_add_gtest(test_find_and_replace test/test_find_and_replace.cpp)
   target_link_libraries(test_find_and_replace ${PROJECT_NAME})
 
@@ -133,9 +166,6 @@
     ENVIRONMENT
       "_TEST_LIBRARY_DIR=$<TARGET_FILE_DIR:test_library>;_TEST_LIBRARY=$<TARGET_FILE:test_library>")
 
-  ament_add_gtest(test_clamp test/test_clamp.cpp)
-  target_link_libraries(test_clamp ${PROJECT_NAME})
-
   ament_add_gtest(test_accumulator test/test_accumulator.cpp)
   target_link_libraries(test_accumulator ${PROJECT_NAME})
 
@@ -154,3 +184,4 @@
   LIBRARY DESTINATION lib
   RUNTIME DESTINATION bin
 )
+ament_generate_version_header(${PROJECT_NAME})

=== debian/changelog ===
ros2-rcpputils (2.13.2-1) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * New upstream version 2.13.2
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Mon, 02 Dec 2024 09:18:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
-Uploaders: Timo Röhling <roehling@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
+Uploaders:
+ Timo Röhling <roehling@debian.org>,
+ Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
  ament-cmake,
+ ament-cmake-googletest <!nocheck>,
  ament-cmake-ros,
- ament-cmake-googletest <!nocheck>,
  ament-lint <!nocheck>,
  cmake,
+ debhelper-compat (= 13),
  dh-ros,
  librcutils-dev,
 Homepage: https://github.com/ros2/rcpputils
@@ -38,9 +40,9 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ librcpputils1d (= ${binary:Version}),
+ librcutils-dev,
  ${misc:Depends},
- librcutils-dev,
- librcpputils1d (= ${binary:Version}),
 Description: ${source:Synopsis} (development headers)
  ${source:Extended-Description}
  .

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/ros2/rcpputils/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
